#pragma once

#include "..\\global\\Block.h"

class CImpBlockAutoTrigger : public CBlockAutoTrigger
{
	TRIGGERPROC m_pTrigProc;
	HANDLE m_hBlock;
public:
	CImpBlockAutoTrigger(IUnknown *pUnkOuter);
	~CImpBlockAutoTrigger();
	STDMETHODIMP Start(TRIGGERPROC pTrigProc, HANDLE hBlock);
	STDMETHODIMP Stop();
	static UINT Process(LPVOID p);
	UINT Process_();
	CWinThread *m_pThread;
};